Subject: Re: [BUG, linux-next] spawn PID 1 without CLONE_FS, wireless inop

From: Al Viro <[email-masked]>
Date: Tue, 16 Dec 2014 12:56:15 +0000

On Tue, Dec 16, 2014 at 03:55:37AM -0800, Jeremiah Mahler wrote:
> all,
> 
> The wireless network interface has become inoperative when running
> linux-next 20141216 on a Lenovo Carbon X1.  It is completely
> non-existent and `ip addr` doesn't show it.  A bisect has found that
> the bug was introduced by the following commit.

Very interesting.  What userland are you running?  I take it, the root
filesystem is mounted and system boot except for that interface not
coming up, right?

Your card is normally handled by what, iwlwifi?  What happens upon
modprobe iwlwifi (or whatever module you see loaded on the normal
boot)?  Another interesting question is whether it manages to load
the firmware...  What happens if you boot with debug in kernel command
line, with working and with non-working kernels resp.?